<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<!-- bootstrap CSS -->
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
	<title>JS Repetition Control Structures</title>
</head>
<body>
	<!-- div.m-5>h2{Repetition Control Structures}+div.row>(div.col-4>div.form-group>label{Task $@}+input:number.form-control#task$@+button:submit.btn.btn-primary.btn-block.mt-5{Enter $@})*3 -->
	<div class="m-5">
		<h2>Repetition Control Structures</h2>
		<div class="row">
			<div class="col-4">
				<div class="form-group">
					<label for="task1">While Loop</label>
					<!-- get user info -->
					<input type="number" name="" id="task1" class="form-control">
					<!-- start the process -->
					<button type="submit" class="btn btn-primary btn-block mt-5" onclick="countUsingWhile()">Enter 1</button>
					<!-- display the message to user if value is NOT valid -->
					<p class="text-danger" id="message"></p>
				</div>
			</div>
			<div class="col-4">
				<div class="form-group">
					<label for="">Do While Group</label>
					<!-- to get the user info -->
					<input type="number" name="" id="task2" class="form-control">
					<!-- to start the process -->
					<button type="submit" class="btn btn-primary btn-block mt-5" onclick="countUsingDoWhile()">Enter 2</button>
					<h5 class="text-danger" id="info"></h5>
				</div>
			</div>
			<div class="col-4">
				<div class="form-group">
					<label for="">For Loop</label>
					<input type="number" name="" id="task3" class="form-control">
					<button type="submit" class="btn btn-primary btn-block mt-5" onclick="countUsingForLoop()">Enter 3</button>
					<p class="text-muted" id="response"></p>
				</div>
			</div>
		</div>



		<div class="row">
			<!-- Accessing elements in a string -->
			<div class="form-group col-4">
				<h1>Accessing Elements of a string</h1>

				<!-- for the user's input -->
				<input type="text" name="name" id="userName" placeholder="Insert Name Here" class="form-control">
				<!-- test -->
				<button type="submit" id="getString" class="btn btn-primary" onclick="accessElementsInString()">Get Characters of the Name</button>
				<!-- display the length of the string -->
				<p class="text-success" id="textLength"></p>

			</div>

			<!-- Palindrome Checker -->
			<div class="form-group col-4">
				<h1>Identify Palindrome</h1>

				<!-- for the user's input -->
				<input type="text" name="word" id="word" placeholder="Insert Word Here" class="form-control">
				<!-- button -->
				<button type="submit" id="detectWord" class="btn btn-primary mt-2" onclick="detectPalindrome()">Detect Palindrome</button>
				<!-- display the length of the string -->
				<p class="mt-4" id="detectPalindrome"></p>
			</div>


			<!-- Get all Odd numbers in a series -->
			<div class="form-group col-4">
				<h1>Get All Odd Numbers</h1>

				<!-- for the user's input -->
				<input type="number" name="value4" id="value4" placeholder="Insert Number Here" class="form-control">
				<!-- button -->
				<button type="submit" id="getOdd" class="btn btn-primary mt-2" onclick="getOddNumbers()">Get All Odd Numbers</button>
				<!-- display the length of the string -->
				<p class="mt-4" id="getOddNum"></p>
			</div>

		</div>

	</div>

	<script src="./index.js"></script>

	<!-- JS bundle -->
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
</body>
</html>